> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/export-dpsencryptionkeys.md).

# Export-DPSEncryptionKeys

### Übersicht

Exportieren der Verschlüsselungsschlüssel in eine Datei

### Syntax

#### NonEncrypted (Standard)

```
Export-DPSEncryptionKeys [-ApplicationPath] <string> [-Destination] <string> [-NoClobber] [-WhatIf]
 [-Confirm] [<CommonParameters>]
```

#### Encrypted

```
Export-DPSEncryptionKeys [-ApplicationPath] <string> [-Destination] <string>
 [[-Password] <PSPassword>] -Encrypt [-NoClobber] [-WhatIf] [-Confirm] [<CommonParameters>]
```

### Beschreibung

Exportieren der Verschlüsselungsschlüssel in eine Datei. Die Datei encryption.config kann nicht auf ein anderes System verschoben werden, da sie mit der Data Protection Application Programming Interface (DPAPI) verschlüsselt ist, was verhindert, dass die Datei außerhalb des Systems gelesen werden kann, auf dem sie verschlüsselt wurde. Sie müssen die Datei exportieren und sie dann auf dem anderen System importieren.

### Beispiele

**Auf einem Windows-Betriebssystem**

```powershell
PS C:\> $existingDVLSInstance = 'C:\my\path\dvlsInstance\'
PS C:\> $destination = 'C:\other\path\encryption.config'
PS C:\> Export-DPSEncryptionKeys -ApplicationPath $existingDVLSInstance -Destination $destination
```

**Auf einem Linux-Betriebssystem, beim Erstellen einer neuen DLVS-Instanz mit derselben Datenbank** PS home/user/linuxDlvsInstance> $newDvlsInstance = '/home/user/linuxDlvsInstance' PS home/user/linuxDlvsInstance> $keysToImport = '/path/to/encryption.config' PS home/user/linuxDlvsInstance> Import-DPSEncryptionKeys -ApplicationPath $newDvlsInstance -Filename $keysToImport

Exportieren Sie die Verschlüsselungsschlüssel aus einem Windows-DVLS. Verwenden Sie diese Schlüssel beim Erstellen einer neuen DVLS-Instanz mit derselben Datenbank.

### Parameter

#### -ApplicationPath

Verzeichnis der Anwendung.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Confirm

Fordert Sie zur Bestätigung auf, bevor das Cmdlet ausgeführt wird.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Destination

Ziel für die neue Verschlüsselungskonfigurationsdatei

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Encrypt

Verschlüsselt die Konfiguration. Nur für Windows.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Encrypted
  Position: Named
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -NoClobber

Verhindert, dass das Cmdlet bestehende Dateien überschreibt. Wenn eine Datei mit dem angegebenen Namen bereits existiert, generiert das Cmdlet einen Fehler, anstatt die Datei zu überschreiben.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Encrypted
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
- Name: NonEncrypted
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Password

Passwort zum Schutz der exportierten Datei. Akzeptiert eine Zeichenfolge oder eine sichere Zeichenfolge.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSPassword
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Encrypted
  Position: 2
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Zeigt, was geschehen würde, wenn das Cmdlet ausgeführt wird. Das Cmdlet wird nicht ausgeführt.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Hinweise

Für weitere Informationen geben Sie "Get-Help Export-DPSEncryptionKeys -detailed" ein. Für technische Informationen geben Sie "Get-Help Export-DPSEncryptionKeys -full" ein.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/export-dpsencryptionkeys.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
